{
    "dockerFile": "Dockerfile.vscode.devcontainer",
    "name": "C++",
    "extensions": [
        "ms-vscode.cpptools",
        "ms-python.python",
        "oouo-diogo-perdigao.docthis",
        "eamodio.gitlens",
        "twxs.cmake",
        "cschlosser.doxdocgen",
        "peterj.proto",
        "ms-vscode.cpptools-extension-pack"
    ],
    "features": {
		"docker-in-docker": "stable"
    },
    "settings": {
        "editor.rulers": [
            100
        ],
        "explorer.openEditors.sortOrder": "alphabetical",
        "editor.formatOnSave": false,
        "editor.tabSize": 4,
        "editor.detectIndentation": true,
        "editor.renderWhitespace": "all",
        "terminal.integrated.defaultProfile.linux": "/bin/bash",
        "ms-vscode.cpptools.includePath": [
            "${workspaceFolder}/**",
            "/opt/googletest/googlemock/include/**",
            "/opt/boost/include/**",
            "/opt/googletest/googletest/include/**",
            "/opt/ssc/include/**",
            "/opt/ssc/include/ssc/**",
            "/opt/eigen/**"
        ],
        "ms-vscode.cpptools.browse.path": ["/opt/eigen/**"],
        "doxdocgen.generic.useGitUserEmail": true,
        "doxdocgen.generic.useGitUserName": true,
        "clang-format.executable": "/usr/bin/clang-format",
        "editor.defaultFormatter": "xaver.clang-format",
        "C_Cpp.errorSquiggles": "Enabled",
        "C_Cpp.exclusionPolicy": "checkFilesAndFolders",
        "python.pythonPath": "/usr/bin/python3",
        "python.linting.pylintPath": "/usr/local/bin/pylint",
        "python.formatting.provider": "black",
        "python.analysis.cacheFolderPath": "/tmp",
        "python.analysis.logLevel": "Warning",
        "python.linting.enabled": true,
        "python.linting.pylintEnabled": false,
        "python.linting.lintOnSave": true,
        "python.linting.pycodestyleEnabled": true,
        "python.linting.pycodestylePath": "/usr/local/bin/pycodestyle",
        "python.formatting.autopep8Path": "/usr/local/bin/autopep8",
        "python.formatting.blackPath": "/usr/bin/black",
        "python.linting.pylintUseMinimalCheckers": false,
        "python.formatting.blackArgs": [
            "--line-length=80"
        ],
        "workbench.editor.enablePreview": false
    }
}
